<?php

function version(string $date, array $featuresArray, array $maintenanceArray) {
    release_date($date);
    features($featuresArray);
    maintenance($maintenanceArray);
}

function release_date(string $date) {
    $html = '<div class="block">';
    $html .= '<h4><span class="glyphicon glyphicon-calendar"></span>  Date de sortie</h4>';
    $html .= '<ul><li>'.$date.'</li></ul>';
    $html .= '</div>';
    echo $html;
}

function features(array $featuresArray) {
    if(count($featuresArray) > 0) {
        $html = '<div class="block">';
        $html .= '<h4><span class="glyphicon glyphicon-flash"></span> Évolutions</h4>';
        $html .= '<ul>';
        foreach($featuresArray as $feature) {
            $html .= '<li>'.$feature.'</li>';
        }
        $html .= '</ul>';
        $html .= '</div>';
        echo $html;
    }
}

function maintenance(array $maintenanceArray) {
    if(count($maintenanceArray) > 0) {
        $html = '<div class="block">';
        $html .= '<h4><span class="glyphicon glyphicon-wrench"></span> Maintenance</h4>';
        $html .= '<ul>';
        foreach($maintenanceArray as $maintenance) {
            $html .= '<li>'.$maintenance.'</li>';
        }
        $html .= '</ul>';
        $html .= '</div>';
        echo $html;
    }
}